Bug 848886 - drupal6-ctools: local file inclusion and XSS flaws (DRUPAL-SA-CONTRIB-2012-125)
drupal6-ctools: local file inclusion and XSS flaws (DRUPAL-SA-CONTRIB-2012-125)
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 848888 848889
  Show dependency treegraph
Reported: 2012-08-16 13:35 EDT by Vincent Danen
Modified: 2016-03-04 06:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-04 18:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-16 13:35:05 EDT
It was reported that the Chaos tool suite (ctools) for Drupal suffered from a local file inclusion flaw and an XSS flaw [1]:

The module doesn't sufficiently validate css import statements to confirm they only include css content appropriate to show to end users. This could allow a malicious user to add sensitive content from the site (e.g. settings.php) exposing that sensitive content to visitors of the page. It could also be used to execute a Cross Site Scripting attack.

This vulnerability is party mitigated by the fact that an attacker must have a role with a permission to place custom CSS into a field. However, any user who can create or edit a node may have sufficient permissions to place the CSS depending on the site configuration.

This is corrected in upstream 6.x-1.9 and 7.x-1.1 releases.  Current Fedora and EPEL releases for drupal7-ctools have 1.1 in testing, drupal6-ctools needs to be updated to 1.9.

[1] http://drupal.org/node/1719548
Comment 1 Vincent Danen 2012-08-16 13:36:10 EDT
Created drupal6-ctools tracking bugs for this issue

Affects: fedora-all [bug 848888]
Affects: epel-all [bug 848889]
Comment 2 Peter Borsa 2012-08-16 18:05:47 EDT
Fixed and submitted. Thanks Vincent!

Note You need to log in before you can comment on or make changes to this bug.